package com.tmerclub.cloud.search.canal.support.parser;

import com.tmerclub.cloud.search.canal.support.parser.converter.BaseCanalFieldConverter;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/24 0:54
 */
public class ColumnMetadata {

    private String columnName;

    private BaseCanalFieldConverter<?> converter;

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public BaseCanalFieldConverter<?> getConverter() {
        return converter;
    }

    public void setConverter(BaseCanalFieldConverter<?> converter) {
        this.converter = converter;
    }

    @Override
    public String toString() {
        return "ColumnMetadata{" +
                "columnName='" + columnName + '\'' +
                ", converter=" + converter +
                '}';
    }
}
